Bug 999890 - (CVE-2013-2889) CVE-2013-2889 Kernel: HID: zeroplus: heap overflow flaw
CVE-2013-2889 Kernel: HID: zeroplus: heap overflow flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130829,repor...
: Security
Depends On: 999905 999906 999907 1002548
Blocks: 999875
  Show dependency treegraph
 
Reported: 2013-08-22 06:31 EDT by Prasad J Pandit
Modified: 2015-10-15 13:57 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 02:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-08-22 06:31:14 EDT
Linux kernel built with the Human Interface Device(HID) Bus support(CONFIG_HID)
along with the Zeroplus based game controller support(CONFIG_HID_ZEROPLUS) is
vulnerable to a heap overflow flaw. It could occur when an HID device sends
malicious output report to the kernel driver.

A local user with physical access to the system could use this flaw to crash the
kernel resulting in DoS or potential privilege escalation to gain root access via
arbitrary code execution.
Comment 1 Prasad J Pandit 2013-08-22 06:47:04 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Note: A user would need physical access to the system in order to exploit this issue.
Comment 4 Prasad J Pandit 2013-08-29 08:37:03 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002548]
Comment 6 Fedora Update System 2013-09-12 21:04:31 EDT
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-15 20:26:25 EDT
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2013-11-21 14:48:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html
Comment 10 errata-xmlrpc 2013-11-21 19:36:46 EST
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1527 https://rhn.redhat.com/errata/RHSA-2013-1527.html

Note You need to log in before you can comment on or make changes to this bug.